Subject: bug#14605: [O] bug#14605: Problem with export an .org file to .pdf does not open pdf file

From: Carsten Dominik <[email-masked]>
Date: Mon, 2 Sep 2013 10:44:39 +0200

On Sep 2, 2013, at 10:34 AM, Jambunathan K <[email-masked]> wrote:

> Carsten Dominik <[email-masked]> writes:
> 
>> They are basically the "open" commands for MacOS X and Windows, and
>> mailcap for Unix/Linux.
> 
> The suggestion below is met with some approval in the Orgmode mailist
> earlier.  
> 
> http://lists.gnu.org/archive/html/emacs-orgmode/2013-07/msg00407.html
> 
> Here I go.
> ----------------------------------------------------------------
> 
> Turn `org-file-apps-defaults-gnu' (which is now a defconst) in to
> defcustom and make xdg-open the default (or make a drop down list with
> gnome-open, kde-open for people who don't have xdg-utils insalled) .
> 
>    (defconst org-file-apps-defaults-gnu
>      '((remote . emacs)
>        (system . mailcap)
>        (t . mailcap))
>      "Default file applications on a UNIX or GNU/Linux system.
>    See `org-file-apps'.")
> 
> 
>    (custom-set-variables
>     '(org-file-apps
>       (quote
>        ((auto-mode . emacs)
>         ("\\.mm\\'" . default)
>         ("\\.x?html?\\'" . default)
>         ("\\.pdf\\'" . default))))
>     '(org-file-apps-defaults-gnu
>       (quote
>        ((remote . emacs)
>         (system . "xdg-open %s")
>         (t . mailcap))) t))
> 

I have not followed the discussion earlier.  The problem I see is that I do not know how widely available these commands are on Linux.  Maybe we can built the default value using executable-find or something like this?

- Carsten

> ----------------------------------------------------------------
> 
> Anyways, opening a file outside of Emacs is not specific to Org.  Other
> applications can open facility, if available right within Emacs core.
> 
> For some discussion surrounging - `open-file' - see
> http://debbugs.gnu.org/cgi/bugreport.cgi?bug=14110